## org.opengis.filter
Interface And

All Superinterfaces:
  BinaryLogicOperator, Filter

    @XmlElement(value="And")
    public interface And

extends BinaryLogicOperator

Evaluates to `true` if all the combined expressions evaluate to `true`. This interface exposes no additional methods beyond those of `BinaryLogicOperator`. It only serves as a marker of what type of operator this is.

Since:
  GeoAPI 2.0
Version:
  Implementation specification 1.0

Field Summary

Fields inherited from interface Filter
`EXCLUDE, INCLUDE`

Method Summary

Methods inherited from interface BinaryLogicOperator
`getChildren`

Methods inherited from interface Filter
`accept, evaluate`

Copyright © 1994-2008 Open Geospatial Consortium. All Rights Reserved.